package com.bonus.canteen.core.supermarket.controller;

import com.bonus.canteen.core.supermarket.domain.SupermarketInfo;
import com.bonus.canteen.core.supermarket.service.SupermarketInfoService;
import com.bonus.common.core.utils.poi.ExcelUtil;
import com.bonus.common.core.web.controller.BaseController;
import com.bonus.common.core.web.domain.AjaxResult;
import com.bonus.common.core.web.page.TableDataInfo;
import com.bonus.common.log.annotation.SysLog;
import com.bonus.common.log.enums.OperaType;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 超市Controller
 * 
 * @author xsheng
 * @date 2025-04-05
 */
@Api(tags = "超市接口")
@RestController
@RequestMapping("/supermarket_info")
public class SupermarketInfoController extends BaseController {
    @Autowired
    private SupermarketInfoService supermarketInfoService;

    /**
     * 查询超市列表
     */
    @ApiOperation(value = "查询超市列表")
    @GetMapping("/list")
    public TableDataInfo list(SupermarketInfo SupermarketInfo) {
        startPage();
        List<SupermarketInfo> list = supermarketInfoService.selectSupermarketInfoList(SupermarketInfo);
        return getDataTable(list);
    }

    /**
     * 新增超市
     */
    @ApiOperation(value = "新增超市")
    //@PreventRepeatSubmit
    //@RequiresPermissions("Supermarket:info:add")
    @SysLog(title = "超市", businessType = OperaType.INSERT, logType = 1,module = "商超管理->新增超市")
    @PostMapping("/add")
    public AjaxResult add(@RequestBody SupermarketInfo SupermarketInfo) {
        try {
            return toAjax(supermarketInfoService.insertSupermarketInfo(SupermarketInfo));
        } catch (Exception e) {
            return error("系统错误, " + e.getMessage());
        }
    }

    /**
     * 修改超市
     */
    @ApiOperation(value = "修改超市")
    //@PreventRepeatSubmit
    //@RequiresPermissions("Supermarket:info:edit")
    @SysLog(title = "超市", businessType = OperaType.UPDATE, logType = 1,module = "商超管理->修改超市")
    @PostMapping("/edit")
    public AjaxResult edit(@RequestBody SupermarketInfo SupermarketInfo) {
        try {
            return toAjax(supermarketInfoService.updateSupermarketInfo(SupermarketInfo));
        } catch (Exception e) {
            return error("系统错误, " + e.getMessage());
        }
    }

    /**
     * 删除超市
     */
    @ApiOperation(value = "删除超市")
    @SysLog(title = "超市", businessType = OperaType.DELETE, logType = 1,module = "商超管理->删除超市")
    @PostMapping("/del")
    public AjaxResult remove(@RequestBody SupermarketInfo supermarketInfo) {
        return toAjax(supermarketInfoService.deleteSupermarketInfoBySupermarketId(supermarketInfo));
    }

}
